Package com.saxonica.ee.stream.adjunct

## Class DocumentInstrAdjunct.DocumentInstrFeed

- java.lang.Object
- - net.sf.saxon.event.Outputter
  - - net.sf.saxon.event.ProxyOutputter
    - - com.saxonica.ee.stream.feed.ItemFeed
      - - com.saxonica.ee.stream.feed.ComplexNodeEventFeed
        - - com.saxonica.ee.stream.adjunct.DocumentInstrAdjunct.DocumentInstrFeed

- All Implemented Interfaces:
    `javax.xml.transform.Result`, `Receiver`
  Enclosing class:
    DocumentInstrAdjunct

      public static class DocumentInstrAdjunct.DocumentInstrFeed
      extends ComplexNodeEventFeed

- - ### Field Summary

    - ### Fields inherited from class com.saxonica.ee.stream.feed.ComplexNodeEventFeed

      `next`

    - ### Fields inherited from class net.sf.saxon.event.Outputter

      `pipelineConfiguration, systemId`

    - ### Fields inherited from interface javax.xml.transform.Result

      `PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DocumentInstrFeed​(Expression exp, ItemFeed result, XPathContext context)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `processLeft​(XPathContext context)` | In streaming mode, process the first half of the instruction (for example, to start a new document or element)
    `protected void` | `processRight​(XPathContext context)` | In streaming mode, process the right half of the instruction (for example, to end a new document or element)

    - ### Methods inherited from class com.saxonica.ee.stream.feed.ComplexNodeEventFeed

      `append, attribute, characters, close, comment, endDocument, endElement, endSelectedParentNode, namespace, open, processingInstruction, setComplexContentOutputter, startContent, startDocument, startElement, startElement, startSelectedParentNode`

    - ### Methods inherited from class com.saxonica.ee.stream.feed.ItemFeed

      `append, dynamicError, getContext, getExpression, getResult, getTerminator, hasFailed, processItems, setExpression, setHasFailed, setTerminator`

    - ### Methods inherited from class net.sf.saxon.event.ProxyOutputter

      `getNextOutputter, open, setLocation, setUnparsedEntity, usesTypeAnnotations`

    - ### Methods inherited from class net.sf.saxon.event.Outputter

      `getConfiguration, getPipelineConfiguration, getStringReceiver, getSystemId, namespaces, setPipelineConfiguration, setSystemId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.event.Receiver

      `handlesAppend`

- - ### Constructor Detail

    - #### DocumentInstrFeed

          public DocumentInstrFeed​(Expression exp,
                                   ItemFeed result,
                                   XPathContext context)

  - ### Method Detail

    - #### processLeft

          protected void processLeft​(XPathContext context)
                              throws XPathException

      In streaming mode, process the first half of the instruction (for example, to start a new document or element)
      Specified by:
        `processLeft` in class `ComplexNodeEventFeed`
      Parameters:
        `context` - The dynamic context
      Throws:
        `XPathException` - if a dynamic error occurs

    - #### processRight

          protected void processRight​(XPathContext context)
                               throws XPathException

      In streaming mode, process the right half of the instruction (for example, to end a new document or element)
      Specified by:
        `processRight` in class `ComplexNodeEventFeed`
      Parameters:
        `context` - The dynamic context
      Throws:
        `XPathException` - if a dynamic error occurs